
package com.caplin.example;

import static org.junit.Assert.*;

import org.junit.Test;
import org.mortbay.jetty.testing.HttpTester;
import org.mortbay.jetty.testing.ServletTester;

import com.caplin.util.ServletTesterUtils;

public class MyServletTest {

	@Test
	public void testName() throws Exception {
		ServletTester servletTester = ServletTesterUtils.createServletTester();
		ServletTesterUtils.initServlet(servletTester, "/", com.caplin.example.MyServlet.class, "/validUrl");
		
		HttpTester response = ServletTesterUtils.makeRequest(servletTester, "/validUrl");
		
		assertEquals(200,response.getStatus());
		assertEquals("It works :-)",response.getContent());
		assertEquals("yes",response.getHeader("did-it-work"));
	}
	
	@Test
	public void testName2() throws Exception {
		ServletTester servletTester = ServletTesterUtils.createServletTester();
		ServletTesterUtils.initServlet(servletTester, "/", com.caplin.example.MyServlet.class, "/validUrl");
		
		HttpTester response = ServletTesterUtils.makeRequest(servletTester, "/invalidUrl");
		
		assertEquals(404,response.getStatus());	
	}
	
}
